## kmail 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(kmail VERSION ${PIM_VERSION})
 
@@ -54,11 +54,11 @@
 include(ECMFeatureSummary)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KDEPIM_DEV_VERSION rc)
+set(RELEASE_SERVICE_VERSION "25.11.90")
 
 # Update it for each release
-set(KMAIL_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(KMAIL_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -67,17 +67,17 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.80")
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
-set(KLDAP_LIB_VERSION "6.5.80")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(KTNEF_LIB_VERSION "6.5.80")
+set(AKONADI_MIMELIB_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.5.90")
+set(CALENDARUTILS_LIB_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(KLDAP_LIB_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
+set(KTNEF_LIB_VERSION "6.5.90")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
@@ -101,14 +101,14 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBGRAVATAR_VERSION "6.5.80")
-set(MAILCOMMON_LIB_VERSION "6.5.80")
-set(MESSAGELIB_LIB_VERSION "6.5.80")
-set(LIBKLEO_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(LIBKSIEVE_LIB_VERSION "6.5.80")
-set(AKONADI_SEARCH_VERSION "6.5.80")
+set(LIBGRAVATAR_VERSION "6.5.90")
+set(MAILCOMMON_LIB_VERSION "6.5.90")
+set(MESSAGELIB_LIB_VERSION "6.5.90")
+set(LIBKLEO_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(LIBKSIEVE_LIB_VERSION "6.5.90")
+set(AKONADI_SEARCH_VERSION "6.5.90")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
